Subject: Re : Re: Re : Re : Re : [EDUC]Proposition de loi visant à rendre obligatoire l’enseignement du codage informatique à l’école
From: [email-masked]
To: François Poulain <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Jun 2014 21:25:13 +0200 (CEST)
List-Id: <educ.april.org>

----- François Poulain <[email-masked]> a écrit :
> Le Wed, 18 Jun 2014 19:44:24 +0200,
> Vincent-Xavier Jumel <[email-masked]> a écrit :
> 
> > Je partage ce point de vue : coder, codage, encoder renvoient à des
> > notions de représentation du monde. Je décide de coder les hommes
> > avec un 1 au début du numéro de sécurité sociale et kes femmes avec
> > un 2.
> 
> Et je décide de coder le nombre "onze" avec le symbole 11. Mais j'aurais
> pu le coder avec onze batons, ou bien des pois.

Oui, mille fois oui, sur le plan formel, scientifique.

Pas toutafè sur le plan technologique où ce sera codé 00001011 ou 0b...

Pour moi qui suis prof de techno et non pas informaticien, il m'importe 
de rendre intelligible notre environnement technologique sans entrer
en conflit théorique avec les principes scientifiques qui le sous-tend.

Par exemple que signifie enseigner *le* numérique, terme employé à
toutes  les sauces jusqu'à la lie ?

Comment inscrire un ordre des raisons dans ce foutoir ?

Si sur le plan physique numérisation renvoie à conversion d'un signal 
électrique analogique en un flux numérique, ce qui pose le problème
de la vulgarisation de la notion de la discrétisation pour des élèves
de collège (que l'on n'a pas pu résoudre à Montpellier), sur le plan
informatique il s'agit de la description d'un document physique par 
un fichier "numérique", c'est-à-dire une séquence d'octets,
ayant pour origine une décision d'IBM en 1960 qui a imposé cette norme...

Les notions de code, codage, encodage me semblent donc nécessaires
pour tenter de rendre intelligible notre environnement dit "numérique".

La programmation en est une autre.
J'ai donc besoin de distinguer les termes. 
Les logiques obscurantistes visent à tout amalgamer.

> À tous les niveaux (pas seulement sur le choix du terme "codage"), il
> est clair que ce projet de loi est une idiotie : c'est déposé par un
> groupe minoritaire de l'assemblée (alors que tout le monde sait que ce
> n'est pas l'assemblée qui décide et vote les lois), c'est rédigé à la
> va que je te pousse, et ça ressemble plus à un caprice qu'à une
> politique publique (comment on trouve les enseignants, sur quels
> créneaux horaires on part, pourquoi le choix du primaire et pas du
> collège, d'où ça sort la nécessité de taxer, etc.).
> 
> Tout au plus c'est de l'agitation médiatique, et les députés
> dépositaires gagnent +1 sur la liste des propositions de lois qu'ils
> ont déposé. Mais ça ne vaut pas le coup d'en faire la publicité autre
> que mauvaise, et en l'occurrence, je ne comprends pas ce que fait l'EPI.

On est d'accord, sauf qu'ils ont reçu le soutien de la secrétaire d’état au 
numérique Axelle Lemaire et que ce projet de loi se joue dans le contexte
de renégociation des programmes scolaires où se joue une partie de l'avenir
de l'école de la prochaine décennie. 

On ne peut donc pas rester en dehors de ce débat.

Librement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ